Kling Identify Face
kling-identify-face
Identify whether the video is suitable for lip-sync service.
Endpoints
Section titled “Endpoints”POST /v1/queue/kling-identify-face # Create taskGET /v1/queue/kling-identify-face/requests/{request_id}/status # Check statusGET /v1/queue/kling-identify-face/requests/{request_id}/response # Get resultPUT /v1/queue/kling-identify-face/requests/{request_id}/cancel # Cancel taskRequest parameters
Section titled “Request parameters”curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-identify-face' \ --header 'Authorization: Bearer YOUR_API_KEY' \ --header 'Content-Type: application/json' \ --location \ --data-raw '{ "video_url": "https://interactive-examples.mdn.mozilla.net/media/cc0-videos/flower.mp4"}'Video ID
Used to specify the video and determine whether the video is available for lip-sync service
Either video_id or video_url must be provided, but not both at the same time
URL to retrieve the uploaded video
Used to specify the video and determine whether the video is available for lip-sync service
Either video_id or video_url must be provided, but not both at the same time
Video requirements:
Supported formats: .mp4, .mov
File size: max 100MB
Duration: 2 to 60 seconds
Resolution: only 720p and 1080p supported
Dimensions: width and height between 512px and 2160px
The system will validate the video content, and will return an error code if there are any issues
Response parameters
Section titled “Response parameters”{ "request_id": "task_01hxyz...", "response_url": "https://odirouter.ai/model/v1/queue/kling-identify-face/requests/task_01hxyz.../response", "status_url": "https://odirouter.ai/model/v1/queue/kling-identify-face/requests/task_01hxyz.../status", "cancel_url": "https://odirouter.ai/model/v1/queue/kling-identify-face/requests/task_01hxyz.../cancel", "queue_position": 0}| Field | Type | Description |
|---|---|---|
request_id | string | Task ID used for all follow-up operations. |
response_url | string | URL to fetch the final result. |
status_url | string | URL to query task status. |
cancel_url | string | URL to cancel the task. |
queue_position | int | Current queue position. |